# Uses of Interface
org.springframework.jdbc.datasource.embedded.DataSourceFactory

Packages that use DataSourceFactory
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.

## Uses of DataSourceFactory in org.springframework.jdbc.datasource.embedded

Methods in org.springframework.jdbc.datasource.embedded with parameters of type DataSourceFactory
Modifier and Type
Method
Description
`EmbeddedDatabaseBuilder`
EmbeddedDatabaseBuilder.`setDataSourceFactory(DataSourceFactory dataSourceFactory)`
Set the factory to use to create the `DataSource` instance that connects to the embedded database.
`void`
EmbeddedDatabaseFactory.`setDataSourceFactory(DataSourceFactory dataSourceFactory)`
Set the factory to use to create the `DataSource` instance that connects to the embedded database.